#!/bin/bash
#shellcheck disable=SC2034
# MKit - simple install helper
# See LICENSE file for copyright and license details.


#
# Bump size (for vbump_? and release_?)
#
MKIT_BUMPSIZE=${MKIT_BUMPSIZE:-1}

#
# Debug mode (true|false)
#
MKIT_DEBUG=${MKIT_DEBUG:-false}

#
# Default deploy mode for files
#
MKIT_DEFAULT_MODE="644"

#
# Dry mode (true|false)
#
# Set to true to not install anything. Implies MKIT_DEBUG.
#
MKIT_DRY=${MKIT_DRY:-false}

#
# Path to mkit.ini
#
MKIT_INI=${MKIT_INI:-mkit.ini}

#
# Limit ini expansion depth
#
# To avoid endless loops, this value is subtracted each
# time ini() expands a reference; when zero is reached,
# no more expansions happen.
#
MKIT_INI_EXPAND=2

#
# Path to MKit local config and temp
#
# Typically hidden in project root, here MKit can
# save its temporary lists.
#
MKIT_LOCAL=${MKIT_LOCAL:-.mkit}

#
# Package name
#
# Used as base for tarball and in some default macros.
#
MKIT_PROJ_PKGNAME=""

#
# Add time-based ordinal tag to SemVer build data?
#
# Can be 'none' or 'btime'.
#
# If 'btime', devel builds have also 'tXXXXXXXX' tag, where each
# 'X' is a hexa-decimal digit of Unix timestamp taken when build
# is initiated.  This way, builds from same branch are guarranteed
# to order based on build time (that is, until February 7th, 2106).
#
# Note that this makes devel and dirty builds non-deterministic,
# but does not affect clean builds (ie. builds from clean repo
# with HEAD corresponding to latest version tag.).
#
MKIT_TTAG=${MKIT_TTAG:-btime}

#
# This MKit version
#
MKIT_VERSION=0.0.33
